Bug 535118 - (RHQ-1847) Tree component does not show resources of duplicate names
Tree component does not show resources of duplicate names
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage jon24-naming rhq4
  Show dependency treegraph
 
Reported: 2009-03-25 11:06 EDT by fmatar
Modified: 2013-08-05 20:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 11:34:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
servers-tab.gif (125.09 KB, image/gif)
2009-03-25 11:06 EDT, fmatar
no flags Details
tree.gif (143.44 KB, image/gif)
2009-03-25 11:07 EDT, fmatar
no flags Details

  None (edit)
Description fmatar 2009-03-25 11:06:00 EDT
I have two Tomcat instances, the first one is version 5.5 and the second is version 6.0

Both resources are inventoried in the system and have the same default name Apache Tomcat.

Under the servers tab the two resources show up properly: http://<hostname>:7080/ResourceHub.do?resourceCategory=SERVER

Now under the tree you can see the Category name and the number of servers (2 in my case) however only one resource is showing up. 

See attached images
Comment 1 fmatar 2009-03-25 11:06:59 EDT
Servers tab showing two apache tomcat servers
Comment 2 fmatar 2009-03-25 11:07:34 EDT
Tree component showing a count of 2 instances but only displaying one
Comment 3 Red Hat Bugzilla 2009-11-10 15:47:58 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1847
Imported an attachment (id=368675)
Imported an attachment (id=368676)
Comment 4 wes hayutin 2010-02-16 11:55:09 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 5 wes hayutin 2010-02-16 12:00:21 EST
making sure we're not missing any bugs in rhq_triage
Comment 6 Ian Springer 2010-09-21 11:34:49 EDT
This is outdated now that we're migrating to GWT.

Note You need to log in before you can comment on or make changes to this bug.